using System;
using System.Data;
using System.Collections.Generic;
using HySoft.Common;
using HySoft.BaseCallCenter.Model;
namespace HySoft.BaseCallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderTask
	/// </summary>
	public partial class T_Wo_WorkOrderTask
	{
		private readonly HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderTask dal=new HySoft.BaseCallCenter.DAL.T_Wo_WorkOrderTask();
		public T_Wo_WorkOrderTask()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_TASKID)
		{
			
			return dal.Delete(F_TASKID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_TASKIDlist )
		{
			return dal.DeleteList(F_TASKIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask GetModel(int F_TASKID)
		{
			
			return dal.GetModel(F_TASKID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask GetModelByCache(int F_TASKID)
        //{
			
        //    string CacheKey = "T_Wo_WorkOrderTaskModel-" + F_TASKID;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_TASKID);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask> DataTableToList(DataTable dt)
		{
			List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask> modelList = new List<HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HySoft.BaseCallCenter.Model.T_Wo_WorkOrderTask();
					if(dt.Rows[n]["F_TASKID"]!=null && dt.Rows[n]["F_TASKID"].ToString()!="")
					{
						model.F_TASKID=int.Parse(dt.Rows[n]["F_TASKID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERTYPEID"]!=null && dt.Rows[n]["F_WORKORDERTYPEID"].ToString()!="")
					{
						model.F_WORKORDERTYPEID=int.Parse(dt.Rows[n]["F_WORKORDERTYPEID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERSTATEID"]!=null && dt.Rows[n]["F_WORKORDERSTATEID"].ToString()!="")
					{
						model.F_WORKORDERSTATEID=int.Parse(dt.Rows[n]["F_WORKORDERSTATEID"].ToString());
					}
					if(dt.Rows[n]["F_OWNERID"]!=null && dt.Rows[n]["F_OWNERID"].ToString()!="")
					{
						model.F_OWNERID=int.Parse(dt.Rows[n]["F_OWNERID"].ToString());
					}
					if(dt.Rows[n]["F_CREATEDATE"]!=null && dt.Rows[n]["F_CREATEDATE"].ToString()!="")
					{
						model.F_CREATEDATE=DateTime.Parse(dt.Rows[n]["F_CREATEDATE"].ToString());
					}
					if(dt.Rows[n]["F_OPTUSERID"]!=null && dt.Rows[n]["F_OPTUSERID"].ToString()!="")
					{
						model.F_OPTUSERID=int.Parse(dt.Rows[n]["F_OPTUSERID"].ToString());
					}
					if(dt.Rows[n]["F_OPTDATE"]!=null && dt.Rows[n]["F_OPTDATE"].ToString()!="")
					{
						model.F_OPTDATE=DateTime.Parse(dt.Rows[n]["F_OPTDATE"].ToString());
					}
					if(dt.Rows[n]["F_EXFLAG"]!=null && dt.Rows[n]["F_EXFLAG"].ToString()!="")
					{
						model.F_EXFLAG=int.Parse(dt.Rows[n]["F_EXFLAG"].ToString());
					}
					if(dt.Rows[n]["F_LOSEDATE"]!=null && dt.Rows[n]["F_LOSEDATE"].ToString()!="")
					{
						model.F_LOSEDATE=DateTime.Parse(dt.Rows[n]["F_LOSEDATE"].ToString());
					}
					if(dt.Rows[n]["F_FORMID"]!=null && dt.Rows[n]["F_FORMID"].ToString()!="")
					{
						model.F_FORMID=DateTime.Parse(dt.Rows[n]["F_FORMID"].ToString());
					}
					if(dt.Rows[n]["F_OPTBTN"]!=null && dt.Rows[n]["F_OPTBTN"].ToString()!="")
					{
					model.F_OPTBTN=dt.Rows[n]["F_OPTBTN"].ToString();
					}
					if(dt.Rows[n]["F_PLANFINISHTIME"]!=null && dt.Rows[n]["F_PLANFINISHTIME"].ToString()!="")
					{
						model.F_PLANFINISHTIME=DateTime.Parse(dt.Rows[n]["F_PLANFINISHTIME"].ToString());
					}
					if(dt.Rows[n]["F_REMINDTIME"]!=null && dt.Rows[n]["F_REMINDTIME"].ToString()!="")
					{
						model.F_REMINDTIME=DateTime.Parse(dt.Rows[n]["F_REMINDTIME"].ToString());
					}
					if(dt.Rows[n]["F_TIMES"]!=null && dt.Rows[n]["F_TIMES"].ToString()!="")
					{
						model.F_TIMES=int.Parse(dt.Rows[n]["F_TIMES"].ToString());
					}
					if(dt.Rows[n]["F_ASSIGNPARTICIPATOR"]!=null && dt.Rows[n]["F_ASSIGNPARTICIPATOR"].ToString()!="")
					{
					model.F_ASSIGNPARTICIPATOR=dt.Rows[n]["F_ASSIGNPARTICIPATOR"].ToString();
					}
					if(dt.Rows[n]["F_INSTANCEID"]!=null && dt.Rows[n]["F_INSTANCEID"].ToString()!="")
					{
						model.F_INSTANCEID=int.Parse(dt.Rows[n]["F_INSTANCEID"].ToString());
					}
					if(dt.Rows[n]["F_TASKFLAG"]!=null && dt.Rows[n]["F_TASKFLAG"].ToString()!="")
					{
						model.F_TASKFLAG=int.Parse(dt.Rows[n]["F_TASKFLAG"].ToString());
					}
					if(dt.Rows[n]["F_LOSEFLAG"]!=null && dt.Rows[n]["F_LOSEFLAG"].ToString()!="")
					{
						model.F_LOSEFLAG=int.Parse(dt.Rows[n]["F_LOSEFLAG"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

